diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 03444e9..aa0b617 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -7114,19 +7114,19 @@ CommonDenominator(R, Q, A): Exports == Implementation where
   Implementation ==> add
     clearDenominator l ==
       d := commonDenominator l
-      map(x +-> numer(d*x)::Q, l)
+      map(numer(d * #1)::Q, l)
  
     splitDenominator l ==
       d := commonDenominator l
-      [map(x+->numer(d*x)::Q, l), d]
+      [map(numer(d * #1)::Q, l), d]
  
     if R has GcdDomain then
       qlcm: (Q, Q) -> Q
-
+ 
       qlcm(a, b)          == lcm(numer a, numer b)::Q
-      commonDenominator l == numer reduce(qlcm, map(x+->denom(x)::Q, l), 1)
+      commonDenominator l == numer reduce(qlcm, map(denom(#1)::Q, l), 1)
     else
-      commonDenominator l == numer reduce("*", map(x+->denom(x)::Q, l), 1)
+      commonDenominator l == numer reduce("*", map(denom(#1)::Q, l), 1)
 
 @
 <<CDEN.dotabb>>=
@@ -8481,20 +8481,20 @@ ComplexTrigonometricManipulations(R, F): Exports == Implementation where
                           | is?(k, "tan"::SY) or is?(k, "cot"::SY)], lx)
 
     complexElementary f ==
-      any?(has?(#1, "rtrig"),
+      any?(x +-> has?(x, "rtrig"),
         operators(g := realElementary f))$List(BasicOperator) =>
           localexplogs(f, g, variables g)
       g
 
     complexElementary(f, x) ==
-      any?(has?(operator #1, "rtrig"),
+      any?(y +-> has?(operator y, "rtrig"),
        [k for k in tower(g := realElementary(f, x))
                  | member?(x, variables(k::F))]$List(K))$List(K) =>
                      localexplogs(f, g, [x])
       g
 
     complexNormalize(f, x) ==
-      any?(has?(operator #1, "rtrig"),
+      any?(y +-> has?(operator y, "rtrig"),
        [k for k in tower(g := realElementary(f, x))
                | member?(x, variables(k::F))]$List(K))$List(K) =>
                    (rischNormalize(localexplogs(f, g, [x]), x).func)
@@ -8502,7 +8502,7 @@ ComplexTrigonometricManipulations(R, F): Exports == Implementation where
 
     complexNormalize f ==
       l := variables(g := realElementary f)
-      any?(has?(#1, "rtrig"), operators g)$List(BasicOperator) =>
+      any?(y +-> has?(y, "rtrig"), operators g)$List(BasicOperator) =>
         h := localexplogs(f, g, l)
         for x in l repeat h := rischNormalize(h, x).func
         h
diff --git a/changelog b/changelog
index 7a64b03..b222bff 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090512 tpd src/axiom-website/patches.html 20090512.03.tpd.patch
+20090512 tpd books/bookvol10.4 CTRIGMNP +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.02.tpd.patch
 20090512 tpd books/bookvol10.3 IAN +-> conversion
 20090512 tpd src/axiom-website/patches.html 20090512.01.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 15b0c61..3fd4af3 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1256,5 +1256,7 @@ bookvol10.4 CDEN +-> conversion<br/>
 bookvol10.3 GOPT +-> conversion<br/>
 <a href="patches/20090512.02.tpd.patch">20090512.02.tpd.patch</a>
 bookvol10.3 IAN +-> conversion<br/>
+<a href="patches/20090512.03.tpd.patch">20090512.03.tpd.patch</a>
+bookvol10.4 CTRIGMNP +-> conversion<br/>
  </body>
 </html>
